# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "sram23x"
version = "0.0.0"
authors = ["Alexander Williams, On-Prem <license@on-premises.com>"]
include = ["src/main.rs", "/Cargo.toml", "/README.md", "/LICENSE"]
description = "Platform-agnostic Rust driver for the 23xx series serial SPI SRAMs."
homepage = "https://github.com/aw/sram23x"
documentation = "https://docs.rs/sram23x"
readme = "README.md"
keywords = ["sram", "spi", "driver", "embedded-hal-driver"]
categories = ["embedded", "hardware-support", "no-std"]
license = "MIT"
repository = "https://github.com/aw/sram23x"
[dependencies.bit_field]
version = "0.10.0"

[dependencies.embedded-hal]
version = "0.2"
[dev-dependencies.embedded-hal-mock]
version = "0.7"
